World of Warships Blitz 2020 requirements (PC, Mac, Android, iOS)

Mike Shareder July 26, 2020 Loading... Post a comment

World of Warships Blitz system requirements in 2020 is higher than they used be in the past due to new updates from the developer.

World of Warships Blitz is a famous real-time tactical 3D multiplayer game developed and published by Wargaming Group. It’s playable on PC, Mac OS, Android, and iOS. Below are the system requirements to run the game on each platform in 2020.

Windows PC

Minimum system requirements

With the hardware specs below, you can play the game on low settings (1280 x 720) at 45 -60 fps.

  • OS: Windows 7 SP1 64-bit
  • CPU: Intel Core 2 Duo 2.66 GHz, Core i3 2.5 GHz, AMD Athlon II X2 2.7 GHz
  • Memory: 4 GB RAM
  • Graphics: Nvidia GeForce GT 440/630, AMD Radeon HD 7660
  • DirectX: 11
  • Free storage: 57 GB
  • A stable internet connection

Recommended PC specs

With these specs, you can play the game on high settings (1920 x 1080) at 60 fps.

  • OS: Windows 7 SP1, Windows 8.1, Windows 10 (64-bit)
  • CPU: Intel Core i5 3.4 GHz, AMD FX 6350 3.9 GHz
  • Memory: 6 GB RAM
  • Graphics: Nvidia GeForce GTX 660, AMD Radeon R9 270x
  • DirectX: 11
  • Free storage: 59 GB
  • A stable internet connection

Mac

Minimum requirements

  • OS: macOS 10.7.5
  • CPU: Intel Core i5-4750R
  • Memory: 4 GB RAM
  • Graphics: Intel HD Graphics 5000, Intel Iris 51000
  • Free storage: 57 GB
  • A stable internet connection

Recommended system requirements

  • OS: macOS 10.10 or newer
  • CPU: Intel Core i5
  • Memory: 4 GB RAM
  • Graphics: NVIDIA GeForce GT 750M or equivalent
  • Free storage: 59 GB
  • A stable internet connection

Android

  • OS: Android 5.0 and later
  • RAM: 2.5+ GB
  • Free storage: 3 GB
  • A stable internet connection

iOS

  • OS: iOS 9.0 and later
  • Free storage: 3 GB
  • Compatible with iPhone SE, 6S, 6S Plus, 7, 7 Plus, 8, 8 Plus, X, XS, XR; iPad Mini 4, 5; iPad Air 2, 3; iPad Pro; iPod Touch 7th gen.
  • A stable internet connection.

iPhone 6, iPhone 6 Plus, iPhone 5S and lower iOS devices are no longer supported.

guest
0 Comments
Inline Feedbacks
View all comments

Related articles